events.listen('recipes', function (e) {
  //spirit eye
  e.shaped('infernalexp:spirit_eye', [
    'SSS',
    'SES',
    'SSS'
  ], {
    S: 'infernalexp:soul_salt_clump',
    E: 'minecraft:spider_eye'
  });
  //basaltic magma
  e.shapeless('infernalexp:basaltic_magma', [
    'minecraft:basalt',
    '#forge:magma_block'
  ]);
});
onEvent('recipes', event => {
//crumbling blackstone
event.recipes.thermal.pulverizer('infernalexp:crumbling_blackstone', 'minecraft:blackstone');
//blackstone rubble
event.recipes.thermal.pulverizer('infernalexp:rubble', 'infernalexp:crumbling_blackstone');
//basalt cobbled
event.remove({id: 'infernalexp:smelting/basalt_cobbled'});
event.recipes.thermal.pulverizer('infernalexp:basalt_cobbled', 'minecraft:basalt');
//basalt silt
event.recipes.thermal.pulverizer('infernalexp:silt', 'infernalexp:basalt_cobbled');
});
